OLT Gem Port
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addGemPort | POST | Create new gem port |
| deleteGemPort | POST | Delete an existing gem port |
| editGemPort | POST | Modify an existing gem port |
| getGemPortList | GET | Get gem port list |
| getGemPortPage | GET | Get gem port page |
addGemPort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/add
Create new gem port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema GemPortDTO
| Field | Type | Required | Description |
|---|---|---|---|
gemPortId | integer | yes | Gem port ID should be within the range of 1 to 1023 |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfile should be within the range of 1 to 512. |
isInUse | boolean | no | Whether the Gem Port is in use: if it is in use, deletion is not allowed. true indicates it is in use, while false indicates it is not in use. This field should not be provided. |
tcontId | integer | yes | The ID of the T-cont to which the Gem Port is bound. TcontId should be s current existing T-cont ID. |
encrypt | string | yes | Whether to enable data encryption feature. Encrypt should be a value as follows: ENABLE;DISABLE. Default value: DISABLE. |
gemMappingId | array<integer> | no | Gem Mapping Id using the gem port should be null |
// omada_call_operation
{
"operationId": "addGemPort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new gem port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteGemPort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/delete
Delete an existing gem port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema GemPortDeleteDTO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfile should be within the range of 1 to 512. |
// omada_call_operation
{
"operationId": "deleteGemPort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing gem port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editGemPort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/edit
Modify an existing gem port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema GemPortModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
gemPortId | integer | yes | Gem port ID should be within the range of 1 to 1023 |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfile should be within the range of 1 to 512. |
tcontId | integer | no | The ID of the T-cont to which the Gem Port is bound. TcontId should be a current existing T-cont ID. |
encrypt | string | no | Whether to enable data encryption feature. Encrypt should be a value as follows:ENABLE;DISABLE. Default value: DISABLE. |
// omada_call_operation
{
"operationId": "editGemPort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing gem port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getGemPortList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/list
Get gem port list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
queryParam | query | GemPortListQueryDTO | no | Object: its fields (searchKey, sorts, lineProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getGemPortList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
}
}Details, permissions and error codes
Get gem port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getGemPortPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/page
Get gem port page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
queryParam | query | GemPortPageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, lineProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getGemPortPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
}
}Details, permissions and error codes
Get gem port page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.